package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum CompanyPaymentPublicAccountTypeEnum {
	/**
	 * 对公账户类型：1_基本户；2_一般户；3_专用账户；4_临时户
	 */
	BASIC_ACCOUNT(1, "基本户"),
	GENERAL_ACCOUNT(2, "一般户"),
	SPECIAL_ACCOUNT(3, "专用账户"),
	TEMPORARY_ACCOUNT(4, "临时户");

	@EnumValue
	private final int type;

	private final String message;
}
